Subject: Re: [PATCH v3 1/3] patch-id: make it stable against hunk reordering

From: Junio C Hamano <[email-masked]>
Date: Mon, 31 Mar 2014 12:35:39 -0700

"Michael S. Tsirkin" <[email-masked]> writes:

> though it does look like an unrelated enhancement to me.
> Agree?

Yes, that is exactly why I said "opens interesting opportunity" and
"making it possible" ;-) They are all very related, but they do not
have to graduate as parts of the same series.

The important thing is that the basic infrastructure of the new
codepath is designed in such a way that it later allows us to reuse
it in these changes.

I'm queuing these three patches almost as-is (I think I tweaked the
"sizeof" thing) on 'pu', without fixing the test styles and other
issues I may have pointed out in my reviews myself, expecting
further clean-ups.